Developer Documentation

Public Slots | Public Member Functions | Private Slots | Private Attributes | List of all members
PostProcessorDepthImagePlugin Class Reference
Inheritance diagram for PostProcessorDepthImagePlugin:

## Public Slots
QString | version ()

## Public Member Functions
QString | name ()
| Return a name for the plugin. More...
QString | description ()
| Return a description of what the plugin is doing. More...

## Private Slots
void | postProcess (ACG::GLState *_glstate, const std::vector< const PostProcessorInput *> &_input, const PostProcessorOutput &_output)
QString | postProcessorName ()
QString | checkOpenGL ()
Private Slots inherited from BaseInterface
virtual void | exit ()
virtual QString | version ()
| Return a version string for your plugin. More...
Private Slots inherited from PostProcessorInterface
virtual void | postProcess (ACG::GLState *_glState, const std::vector< const PostProcessorInput *> &_input, const PostProcessorOutput &_output)=0
| post processor function More...
virtual QString | postProcessorName ()=0
| announce name for the postProcessor function More...
virtual bool | isStereoProcessor ()
| does post processor resolve stereo buffer More...
virtual void | getFormatDesc (PostProcessorFormatDesc *_desc)
virtual QAction * | optionsAction ()
| Return options menu. More...

## Private Attributes
GLSL::Program * | shader_
| shader

## Additional Inherited Members
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from PostProcessorInterface
virtual | ~PostProcessorInterface ()
| Destructor.

## Detailed Description

Definition at line 52 of file PostProcessorDepthImagePlugin.hh.

## Member Function Documentation

## ◆ description()

QString PostProcessorDepthImagePlugin::description | ( |  | ) |
| inline virtual

Return a description of what the plugin is doing.

This function has to return a basic description of the plugin

Implements BaseInterface.

Definition at line 66 of file PostProcessorDepthImagePlugin.hh.

## ◆ name()

QString PostProcessorDepthImagePlugin::name | ( |  | ) |
| inline virtual

Return a name for the plugin.

This Function has to return the name of the plugin.

Implements BaseInterface.

Definition at line 65 of file PostProcessorDepthImagePlugin.hh.

The documentation for this class was generated from the following files:

- PluginCollection-PostProcessors/Plugin-DepthImage/PostProcessorDepthImagePlugin.hh
- PluginCollection-PostProcessors/Plugin-DepthImage/PostProcessorDepthImagePlugin.cc